#!/bin/bash

cd "$(dirname $0)"
echo "$(dirname $0)"
cd ez-vue-eleme-admin
pwd

#Shell菜单
while true; do

 cat << EOF
==================
ez-vue-eleme-admin
==================
说明：本示例基于vue-element-admin，需要安装NodeJs(npm)才能正常运行，如本机未安装NodeJs，请前往其官网nodejs.org下载安装。
首次运行前，应执行npm install安装引用包。
...
1)执行npm install，安装引用支撑包
2)执行npm run dev，以开发模式运行
3)进入命令行
4)退出

EOF

  read -p "请选择操作：" num1
  case $num1 in
   1)
    echo ...
    echo 执行npm install命令，安装引用支撑包（首次运行大概需要3-5分钟）...
    echo npm install --registry=https://registry.npm.taobao.org ...
    npm install --registry=https://registry.npm.taobao.org
    ;;
   2)
    echo ...
    echo 执行npm run dev命令，以开发模式运行...
    npm run dev
    ;;
   3)
    bash
    ;;
   4)
    exit 0
  esac

done
